SystemOrganization addCategory: #'Orange-Component'!

!ALInputTag methodsFor: '*orange-component' stamp: 'chc 1/6/2015 14:50'!
ngModel: aString
	self attributeAt: #'ng-model' put: aString! !

!ALInputTag methodsFor: '*orange-component' stamp: 'chc 12/30/2014 15:00'!
placeholder: aString
	self attributeAt: #placeholder put: aString! !

!ALHtmlTag methodsFor: '*orange-component' stamp: 'chc 12/31/2014 13:29'!
ngApp
	self attributeAt: #'ng-app' put: 'notesApp'! !

Object subclass: #ORComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORComponent commentStamp: 'chc 6/17/2015 11:17' prior: 0!
Abstract superclass for components!

!ORComponent methodsFor: 'as yet unclassified' stamp: 'chc 4/7/2015 14:35'!
asResource
	^ ALHtmlResource component: self! !

!ORComponent methodsFor: 'as yet unclassified' stamp: 'chc 3/31/2015 14:52'!
renderOn: anObject
	self subclassResponsibility ! !

!ORComponent methodsFor: 'as yet unclassified' stamp: 'chc 4/30/2015 13:43'!
title
	| in out |
	out := String new writing.
	in := self class name reading.
	in ++ 2.
	in do: 
		[:ch | 
		ch isUppercase ifTrue: [out space].
		out put: ch].
	^ out conclusion	! !

ORComponent subclass: #ORContent
	instanceVariableNames: 'next'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORContent commentStamp: 'chc 6/17/2015 11:18' prior: 0!
One of three components used in HelloWorld: ORHead; ORFrame; and, ORContent.!

!ORContent methodsFor: 'as yet unclassified' stamp: 'chc 4/1/2015 15:02'!
renderOn: html
	html br.
	html text: 'This is the Hello World page'.
	html br.
	html p: 'Content on the second page'.
	! !

ORComponent subclass: #ORFrame
	instanceVariableNames: 'next content'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORFrame commentStamp: 'chc 6/17/2015 11:18' prior: 0!
One of three components used in HelloWorld: ORHead; ORFrame; and, ORContent.!

!ORFrame methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:50'!
initialize
	content := ORContent new! !

!ORFrame methodsFor: 'as yet unclassified' stamp: 'chc 4/1/2015 15:06'!
renderOn: html
	html body:
			[html p: 
				[
				html a href: 'http://www.abc.com';with: 'ABC Network'.
				html br.
				html a navigate: [content := ALCounterExample new ]; with: 'New Page'.
				content renderOn: html
				]]! !

ORComponent subclass: #ORHead
	instanceVariableNames: 'frame'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORHead commentStamp: 'chc 6/17/2015 11:18' prior: 0!
One of three components used in HelloWorld: ORHead; ORFrame; and, ORContent.!

!ORHead methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:50'!
initialize
	frame := ORFrame new! !

!ORHead methodsFor: 'as yet unclassified' stamp: 'chc 4/1/2015 15:03'!
renderOn: html
	html html: [
			html head:  [html title: 'Hello World Page'.
						html style: [html text: self style].].
			frame renderOn: html
			]
		! !

!ORHead methodsFor: 'as yet unclassified' stamp: 'chc 4/1/2015 15:03'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

Object subclass: #ORExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORExamplePage commentStamp: 'chc 6/17/2015 11:24' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication.!

!ORExamplePage methodsFor: 'converting' stamp: 'cwp 2/4/2013 14:06'!
asResource
	^ ALExampleResource component: self! !

!ORExamplePage methodsFor: 'accessing' stamp: 'chc 4/22/2015 16:21'!
current

	^ current! !

!ORExamplePage methodsFor: 'accessing' stamp: 'chc 4/22/2015 16:21'!
current: anObject

	current := anObject! !

!ORExamplePage methodsFor: 'accessing' stamp: 'chc 4/22/2015 16:21'!
examples

	^ examples! !

!ORExamplePage methodsFor: 'accessing' stamp: 'chc 4/22/2015 16:21'!
examples: anObject

	examples := anObject! !

!ORExamplePage methodsFor: 'initialize-release' stamp: 'chc 6/17/2015 11:35'!
initialize
	examples := {
		'unicode' -> ALEncodingExample.
		'streaming' -> ALStreamingExample.
		'counter' -> ALCounterExample.
		'ajax counter' -> ALAjaxCounterExample.
		'pjax counter' -> ALPjaxCounterExample.
		'form' -> ORForm.
		'angular' -> ORAngularJS
	}.
	current := examples first value new.! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 8/1/2012 22:13'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 2/4/2013 14:09'!
renderHtmlOn: html
	html html: 
		[html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body: [ self renderBodyOn: html ] ]! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 2/4/2013 12:28'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 8/1/2012 23:43'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 8/1/2012 22:21'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORExamplePage methodsFor: 'rendering' stamp: 'cwp 2/4/2013 10:16'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

Object subclass: #ORSimplerHelloWorldPage
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORSimplerHelloWorldPage commentStamp: 'chc 6/17/2015 11:19' prior: 0!
Single component for the ORSimplerHelloWorldApplication.!

!ORSimplerHelloWorldPage methodsFor: 'as yet unclassified' stamp: 'chc 11/26/2014 10:08'!
renderOn: html
	html html:
		[html head:
			[html title: 'Hello World Page'].
		html body:
			[html p: 
				[html text: 'This is the Hello World page'.
				html br.
				html a href: 'http://www.abc.com';with: 'ABC Network']
			]
		]! !

ALExample subclass: #ORAngularJS
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORAngularJS commentStamp: 'chc 6/17/2015 11:23' prior: 0!
Used by ORExamplePage where it is added to initialize. !

!ORAngularJS methodsFor: 'as yet unclassified' stamp: 'chc 3/17/2015 15:18'!
libraryScript
	^'angular.module(''notesApp'', [])
		.controller(''MainCtrl'', [''$http'',function($http) {
			var self = this;
			self.change = function () {
				self.username = ''changed'';
				self.password = ''password'';
				};
			self.submit = function () {
				$http.post( ''/'',
				{ "username" :  self.username, 
				   "password" : self.password}
							);
					};	
		}]);'! !

!ORAngularJS methodsFor: 'as yet unclassified' stamp: 'chc 1/7/2015 11:54'!
renderContentOn: html
	html input beTypeText; ngModel: 'ctrl.username'.
	html input beTypePassword; ngModel: 'ctrl.password'.
	html button ngClick: 'ctrl.change()'; with: 'Change Values'.
	html button ngClick: 'ctrl.submit()'; with: 'Submit'.
	self renderScriptsOn: html! !

!ORAngularJS methodsFor: 'as yet unclassified' stamp: 'chc 12/31/2014 13:41'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	"html script
		type: 'application/javascript';
		with: [self renderInitScriptOn: html]"! !

!ALBodyTag methodsFor: '*orange-component' stamp: 'chc 12/30/2014 15:23'!
ngApp
	self attributeAt: #'ng-app' put: nil! !

!ALBodyTag methodsFor: '*orange-component' stamp: 'chc 1/1/2015 14:47'!
ngController: aString
	self attributeAt: #'ng-controller' put: aString! !

ALAsyncExample subclass: #ORForm
	instanceVariableNames: 'integer integer2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Component'!

!ORForm commentStamp: 'chc 6/17/2015 11:25' prior: 0!
A version of ALAltitideForm added to the ORExamplePage menu.!

!ORForm methodsFor: 'as yet unclassified' stamp: 'chc 4/21/2015 16:12'!
initialize
	integer := integer2 := 0! !

!ORForm methodsFor: 'as yet unclassified' stamp: 'chc 4/22/2015 15:48'!
renderContentOn: html
	html form beMethodGet; withAuth:
		[html input 
			beTypeText
			value: integer printString;
			callback: [:str | integer := str asNumber].
		html br.
		html input 
			beTypePassword
			value: integer2 printString;
			callback: [:str | integer2 := str asNumber ].
		html br.
		html input beTypeSubmit].
	"	html text: integer asWords.
		html br. 
		html text: integer2 asWords"! !

!ORForm methodsFor: 'as yet unclassified' stamp: 'cwp 9/13/2012 13:23'!
renderStyleOn: html
	html style: 'input {margin-right: 20px}'! !

!ALButtonTag methodsFor: '*orange-component' stamp: 'chc 1/5/2015 15:50'!
ngClick: aString
	self attributeAt: #'ng-click' put: aString! !
